summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-11 20:00:08 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:08 +0200
commitc0b520ff529e6a22a18223058c0f6b4453973fd6 (patch)
tree3847f17fae9b9734bc05c373d1aa13650bda1eaf /desktop
parentef3491ef7c803248e8017407b482d4f68f47e61e (diff)
downloadslackbuilds-c0b520ff529e6a22a18223058c0f6b4453973fd6.tar.gz
slackbuilds-c0b520ff529e6a22a18223058c0f6b4453973fd6.tar.xz
desktop/linstasquared: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/linstasquared/README3
-rw-r--r--desktop/linstasquared/linstasquared.SlackBuild57
-rw-r--r--desktop/linstasquared/linstasquared.info8
-rw-r--r--desktop/linstasquared/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/desktop/linstasquared/README b/desktop/linstasquared/README
new file mode 100644
index 0000000000..5f9852c446
--- /dev/null
+++ b/desktop/linstasquared/README
@@ -0,0 +1,3 @@
+Linsta Squared - a Window Decoration native KDE 3.5.*
+
+Linsta Squared is a native window decoration for KDE desktop.
diff --git a/desktop/linstasquared/linstasquared.SlackBuild b/desktop/linstasquared/linstasquared.SlackBuild
new file mode 100644
index 0000000000..b39c95077f
--- /dev/null
+++ b/desktop/linstasquared/linstasquared.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for linstasquared
+# Written by core (eroc@linuxmail.org)
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=linstasquared
+VERSION=0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$(kde-config --prefix) \
+ --enable-shared=yes \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/linstasquared/linstasquared.info b/desktop/linstasquared/linstasquared.info
new file mode 100644
index 0000000000..eb8fccca21
--- /dev/null
+++ b/desktop/linstasquared/linstasquared.info
@@ -0,0 +1,8 @@
+PRGNAM="linstasquared"
+VERSION="0.1"
+HOMEPAGE="http://www.kde-look.org/content/show.php/Linsta+Squared?content=51287"
+DOWNLOAD="http://ferencnf.googlepages.com/linstasquared-0.1.tar.gz"
+MD5SUM="2dad4dfe1b6e2b869f55e50f4ec87dc7"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/desktop/linstasquared/slack-desc b/desktop/linstasquared/slack-desc
new file mode 100644
index 0000000000..e7e1166816
--- /dev/null
+++ b/desktop/linstasquared/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+linstasquared: Linsta Squared (a Window Decoration native KDE 3.5.*)
+linstasquared:
+linstasquared: Linsta Squared is a native window decoration for KDE desktop.
+linstasquared:
+linstasquared:
+linstasquared:
+linstasquared:
+linstasquared:
+linstasquared:
+linstasquared:
+linstasquared: